version: "3.8"

services:
  solution-store-service-mock:
    build:
      context: "."
      network: ${COMPOSE_NETWORK}
    command:
      - uvicorn
      - --workers=1
      - --host=0.0.0.0
      - --port=5000
      - solution_store_service_mock.app:app
    restart: ${COMPOSE_RESTART}
    environment:
      SSSM_DEBUG: ${SSSM_DEBUG}
      SSSM_CORS_ALLOW_CREDENTIALS: ${SSSM_CORS_ALLOW_CREDENTIALS}
      SSSM_CORS_ALLOW_ORIGINS: ${SSSM_CORS_ALLOW_ORIGINS}
      SSSM_API_V1_INTEGRATION: ${SSSM_API_V1_INTEGRATION}
      SSSM_ROOT_PATH: ${SSSM_ROOT_PATH}
      SSSM_DISABLE_OPENAPI: ${SSSM_DISABLE_OPENAPI}
      SSSM_STAGE: ${SSSM_STAGE}
    ports:
      - ${COMPOSE_SSSM_HOST}:${COMPOSE_SSSM_PORT}:5000
    volumes:
      - sss-mock-vol:/data

volumes:
  sss-mock-vol:
    name: sss-mock-vol
    external: false
